עבור לתוכן
Magic DevHub

theknicker

Members
  • הודעות פעילות

    1
  • הצטרפות

  • ביקר לאחרונה

מוניטין

0 Neutral

אודות theknicker

  • דרגה
    Newbie
  1. Android support library

    שלום, לאחרונה אני מנסה לעדכן את ה-XPA 3.2 על מנת שיוכל להשתמש בספריות העזר של אנדרואיד, מגרסא 23.2.1 ועד לעדכנית ביותר. XPA מגיע עם תמיכה ב23.0.1 ובכל פעם שאני מנסה לשנות את הגרסא אני מקבל תקלה: 07-10 16:16:15.435: E/AndroidRuntime(20410): FATAL EXCEPTION: MG_GUI_THREAD 07-10 16:16:15.435: E/AndroidRuntime(20410): Process: com.tracktimize.alpha, PID: 20410 07-10 16:16:15.435: E/AndroidRuntime(20410): java.lang.NoClassDefFoundError: Failed resolution of: Landroid/support/v7/internal/widget/TintContextWrapper; 07-10 16:16:15.435: E/AndroidRuntime(20410): at com.magicsoftware.unipaas.gui.low.ar.ar(Unknown Source) 07-10 16:16:15.435: E/AndroidRuntime(20410): at com.magicsoftware.unipaas.gui.low.as.run(Unknown Source) 07-10 16:16:15.435: E/AndroidRuntime(20410): at android.os.Handler.handleCallback(Handler.java:751) 07-10 16:16:15.435: E/AndroidRuntime(20410): at android.os.Handler.dispatchMessage(Handler.java:95) 07-10 16:16:15.435: E/AndroidRuntime(20410): at android.os.Looper.loop(Looper.java:154) 07-10 16:16:15.435: E/AndroidRuntime(20410): at android.app.ActivityThread.main(ActivityThread.java:6121) 07-10 16:16:15.435: E/AndroidRuntime(20410): at java.lang.reflect.Method.invoke(Native Method) 07-10 16:16:15.435: E/AndroidRuntime(20410): at com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:889) 07-10 16:16:15.435: E/AndroidRuntime(20410): at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:779) 07-10 16:16:15.435: E/AndroidRuntime(20410): Caused by: java.lang.ClassNotFoundException: Didn't find class "android.support.v7.internal.widget.TintContextWrapper" on path: DexPathList[[zip file "/system/framework/com.google.android.maps.jar", zip file "/data/app/com.tracktimize.alpha-2/base.apk"],nativeLibraryDirectories=[/data/app/com.tracktimize.alpha-2/lib/arm64, /data/app/com.tracktimize.alpha-2/base.apk!/lib/arm64-v8a, /system/lib64, /vendor/lib64]] 07-10 16:16:15.435: E/AndroidRuntime(20410): at dalvik.system.BaseDexClassLoader.findClass(BaseDexClassLoader.java:56) 07-10 16:16:15.435: E/AndroidRuntime(20410): at java.lang.ClassLoader.loadClass(ClassLoader.java:380) 07-10 16:16:15.435: E/AndroidRuntime(20410): at java.lang.ClassLoader.loadClass(ClassLoader.java:312) 07-10 16:16:15.435: E/AndroidRuntime(20410): ... 9 more יש דרך לעדכן את הספריות מבלי לקבל תקלות מ-magic? תודה
×